<!DOCTYPE HTML>
<html>
<head>
<link rel="stylesheet" type="text/css" href="./css/font.css" />
</head>
<body>

<?php
ini_set('display_errors', 'On');
error_reporting(E_ALL);

$x = 24;
$y = 9;
$max = 8;

$nmap = loadfromfile("./map/default.txt");
$nmap[$y][$x] = "@";

$map = make_view($x,$y,0,$nmap,$nmap,$max);
show($map);

function make_view($x,$y,$c,$nmap,$omap,$max)
{
    $tmp = array();
    $tmp[] = array($x+1,$y);
    $tmp[] = array($x,$y+1);
    $tmp[] = array($x,$y-1);
    $tmp[] = array($x-1,$y);
    $c = $c+1;
    if($c<$max)
    {
        foreach($tmp as $node)
        {
            $ax = $node[0];
            $ay = $node[1];
            if($omap[$ay][$ax]==".")
            {
                $nmap[$ay][$ax] = "<a href='goto.php?x=".$ax."&y=".$ay."'>.</a>";
                $nmap = make_view($ax,$ay,$c,$nmap,$omap,$max);
            }
        }
    }
    return $nmap;
}

function loadfromfile($filename)
{
    $nmap = array();
    $file = fopen($filename,"r");
    while(! feof ($file))
    {

        $nmap[] = str_split(fgets($file));
        
    }
    //print_r($nmap);
    fclose($file);
    return $nmap;
}

function show($nmap)
{
    echo "<table>";
    foreach($nmap as $line)
    {
        echo "<tr>";
        foreach($line as $char)
        {
            echo "<td>".$char."</td>";
        }
        echo "</tr>";
    }
    echo "</table>";
}

?>

</body>
</html>
